/**
@file
Purpose: Lidar Detection

@date created 2010-06-03 16:13
@author Julien Moras
@version $Id: $
*/

#ifndef PRODUCEREXAMPLE_H
#define PRODUCEREXAMPLE_H

#include "ProducerConsumerExampleConfig.h"

#include <Pacpus/kernel/ComponentBase.h>
#include <Pacpus/kernel/road_time.h>
//#include <Pacpus/structure/genericStructures.h>
#include <QThread>
#include <QImage>

namespace pacpus {                                                                              

class PRODUCERCONSUMEREXAMPLE_API ProducerExample
        : public QThread
        , public ComponentBase
{
    Q_OBJECT

public:
    static const char * COMPONENT_TYPE;

    ProducerExample(QString name);
    ~ProducerExample();

    virtual void addInputs();
    virtual void addOutputs();
    
    virtual void startActivity();
    virtual void stopActivity();

    virtual COMPONENT_CONFIGURATION configureComponent(XmlComponentConfig config);

protected:
    void run();

public Q_SLOTS:

private:
    //QThread thread;
};

} // namespace pacpus

#endif // PRODUCEREXAMPLE_H
